;*************************************************************************
;       printertag.asm
;                written Bernie Mentink Christchuch N.Z 1/2/88
;
;*************************************************************************
        section printer

        include "exec/types.i"
        include "exec/nodes.i"
        include "exec/strings.i"
        include "devices/prtbase.i"

        xref    _Init
        xref    _Expunge
        xref    _Open
        xref    _Close
        xref    _CommandTable
        xref    _DoSpecial
        xref    _Render

        xdef    _PEDData
        xdef    .begin
        xdef    _main

VERSION EQU     31
REVISION        EQU     23
.begin:
_main:
        moveq   #0,d0
        rts
        dc.w    VERSION
        dc.w    REVISION
_PEDData:
        dc.l    printerName
        dc.l    _Init
        dc.l    _Expunge
        dc.l    _Open
        dc.l    _Close
        dc.b    PPC_BWGFX
        dc.b    PCC_BW
        dc.b    80                       ; MaxColumns
        dc.b    1                        ; NumCharSets
        dc.w    6                        ; num of rows,sixel graphics
        dc.l    2400                     ; MaxXDots, for a4 paper !!
        dc.l    0                        ; MaxYDots, any length
        dc.w    300                      ; XDotsInch
        dc.w    300                      ; YDotsInch
        dc.l    _CommandTable
        dc.l    _DoSpecial
        dc.l    _Render
        dc.l    20
        dc.l    0

printerName:
        dc.b    "DEC LN03+"
        dc.b    0
        end
